# Class ExpressionEvaluatorImpl

java.lang.Object
javax.servlet.jsp.el.ExpressionEvaluator
org.apache.jasper.el.ExpressionEvaluatorImpl

@Deprecated public final class ExpressionEvaluatorImpl extends ExpressionEvaluator
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ExpressionEvaluatorImpl(ExpressionFactory factory)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`evaluate(String expression, Class expectedType, VariableResolver vResolver, FunctionMapper fMapper)`
Deprecated.
Evaluates an expression.
`Expression`
`parseExpression(String expression, Class expectedType, FunctionMapper fMapper)`
Deprecated.
Prepare an expression for later evaluation.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpressionEvaluatorImpl

public ExpressionEvaluatorImpl(ExpressionFactory factory)
Deprecated.

## Method Details

### parseExpression

public Expression parseExpression(String expression, Class expectedType, FunctionMapper fMapper) throws ELException
Deprecated.
Description copied from class: `javax.servlet.jsp.el.ExpressionEvaluator`
Prepare an expression for later evaluation. This method should perform syntactic validation of the expression; if in doing so it detects errors, it should raise an ELParseException.

Specified by:
  `parseExpression` in class `ExpressionEvaluator`
Parameters:
  `expression` - The expression to be evaluated.
  `expectedType` - The expected type of the result of the evaluation
  `fMapper` - A FunctionMapper to resolve functions found in the expression. It can be null, in which case no functions are supported for this invocation. The ExpressionEvaluator must not hold on to the FunctionMapper reference after returning from `parseExpression()`. The `Expression` object returned must invoke the same functions regardless of whether the mappings in the provided `FunctionMapper` instance change between calling `ExpressionEvaluator.parseExpression()` and `Expression.evaluate()`.
Returns:
  The Expression object encapsulating the arguments.
Throws:
  `ELException` - Thrown if parsing errors were found.

### evaluate

public Object evaluate(String expression, Class expectedType, VariableResolver vResolver, FunctionMapper fMapper) throws ELException
Deprecated.
Description copied from class: `javax.servlet.jsp.el.ExpressionEvaluator`
Evaluates an expression. This method may perform some syntactic validation and, if so, it should raise an ELParseException error if it encounters syntactic errors. EL evaluation errors should cause an ELException to be raised.

Specified by:
  `evaluate` in class `ExpressionEvaluator`
Parameters:
  `expression` - The expression to be evaluated.
  `expectedType` - The expected type of the result of the evaluation
  `vResolver` - A VariableResolver instance that can be used at runtime to resolve the name of implicit objects into Objects.
  `fMapper` - A FunctionMapper to resolve functions found in the expression. It can be null, in which case no functions are supported for this invocation.
Returns:
  The result of the expression evaluation.
Throws:
  `ELException` - Thrown if the expression evaluation failed.